Index: branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/field_def.xml
===================================================================
--- branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/field_def.xml	(revision 6269)
+++ branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/field_def.xml	(revision 6270)
@@ -21,5 +21,5 @@
       <!-- T grid -->
       
-      <field_group id="grid_T" grid_ref="grid_T_2D" >
+      <field_group id="grid_T" grid_ref="grid_T_2D" operation="instant">
          <field id="e3t"          long_name="T-cell thickness"   standard_name="cell_thickness"   unit="m"   grid_ref="grid_T_3D"/>
 
@@ -172,5 +172,5 @@
       <!-- SBC -->
       
-      <field_group id="SBC" grid_ref="grid_T_2D" > <!-- time step automaticaly defined based on nn_fsbc -->
+      <field_group id="SBC" grid_ref="grid_T_2D operation="instant"" > <!-- time step automaticaly defined based on nn_fsbc -->
          <field id="empmr"        long_name="Net Upward Water Flux"                standard_name="water_flux_out_of_sea_ice_and_sea_water"                              unit="kg/m2/s"   />
          <field id="saltflx"      long_name="Downward salt flux"                                                                                                        unit="1e-3/m2/s" />
@@ -363,5 +363,5 @@
       <!-- U grid -->
       
-      <field_group id="grid_U"   grid_ref="grid_U_2D">
+      <field_group id="grid_U"   grid_ref="grid_U_2D" operation="instant">
          <field id="e3u"          long_name="U-cell thickness"                                       standard_name="cell_thickness"              unit="m"          grid_ref="grid_U_3D" />
          <field id="utau"         long_name="Wind Stress along i-axis"                               standard_name="surface_downward_x_stress"   unit="N/m2"                            />
@@ -398,5 +398,5 @@
       <!-- V grid -->
       
-      <field_group id="grid_V"   grid_ref="grid_V_2D">
+      <field_group id="grid_V"   grid_ref="grid_V_2D" operation="instant">
          <field id="e3v"          long_name="V-cell thickness"                                       standard_name="cell_thickness"              unit="m"          grid_ref="grid_V_3D" />
          <field id="vtau"         long_name="Wind Stress along j-axis"                               standard_name="surface_downward_y_stress"   unit="N/m2"                            />
@@ -433,5 +433,5 @@
       <!-- W grid -->
       
-      <field_group id="grid_W" grid_ref="grid_W_3D">
+      <field_group id="grid_W" grid_ref="grid_W_3D" operation="instant">
         <field id="e3w"          long_name="W-cell thickness"                     standard_name="cell_thickness"              unit="m"    />
         <field id="woce"         long_name="ocean vertical velocity"              standard_name="upward_sea_water_velocity"   unit="m/s"  />
@@ -466,5 +466,5 @@
       <!-- scalar variables available with key_diaar5 -->
 
-      <field_group id="scalar"  domain_ref="1point" >
+      <field_group id="scalar"  domain_ref="1point" operation="instant">
          <field id="voltot"     long_name="global total volume"                          standard_name="sea_water_volume"                               unit="m3"   />
          <field id="sshtot"     long_name="global mean ssh"                              standard_name="global_average_sea_level_change"                unit="m"    />
@@ -495,5 +495,5 @@
       <!-- LIM3 scalar variables -->
 
-      <field_group id="SBC_scalar"  domain_ref="1point" >
+      <field_group id="SBC_scalar"  domain_ref="1point" operation="instant">
          <!-- available with ln_limdiaout -->
          <field id="ibgvoltot"    long_name="global mean ice volume"                                 unit="km3"        />
@@ -563,5 +563,5 @@
       <!-- variables available with iceberg trajectories -->
 
-      <field_group id="icbvar" domain_ref="grid_T"  > 
+      <field_group id="icbvar" domain_ref="grid_T" operation="instant"> 
         <field id="berg_melt"          long_name="icb melt rate of icebergs"                       unit="kg/m2/s"                    />
         <field id="berg_buoy_melt"     long_name="icb buoyancy component of iceberg melt rate"     unit="kg/m2/s"                    />
@@ -613,5 +613,5 @@
     -->
 
-    <field_group id="trendT" grid_ref="grid_T_3D">
+    <field_group id="trendT" grid_ref="grid_T_3D" operation="instant">
       <!-- variables available with ln_tra_trd -->
       <field id="ttrd_xad"      long_name="temperature-trend: i-advection"                                                                                          unit="degC/s"                        />
@@ -691,5 +691,5 @@
     </field_group>
 
-    <field_group id="trendU" grid_ref="grid_U_3D">
+    <field_group id="trendU" grid_ref="grid_U_3D" operation="instant">
      <!-- variables available with ln_dyn_trd -->
      <field id="utrd_hpg"       long_name="i-trend: hydrostatic pressure gradient"          unit="m/s^2"                        />
@@ -711,5 +711,5 @@
     </field_group>
 
-    <field_group id="trendV" grid_ref="grid_V_3D">
+    <field_group id="trendV" grid_ref="grid_V_3D" operation="instant">
      <!-- variables available with ln_dyn_trd -->
      <field id="vtrd_hpg"       long_name="j-trend: hydrostatic pressure gradient"          unit="m/s^2"                        />
@@ -739,5 +739,5 @@
       <!-- ptrc on T grid -->
 
-     <field_group id="ptrc_T" grid_ref="grid_T_3D">
+     <field_group id="ptrc_T" grid_ref="grid_T_3D" operation="instant">
        <field id="DIC"          long_name="Dissolved inorganic Concentration"        unit="mmol/m3" />
        <field id="DIC_E3T"      long_name="DIC * E3T"                                unit="mmol/m2" > DIC * e3t </field >
@@ -809,5 +809,5 @@
      <!-- PISCES additional diagnostics on T grid  -->
 
-     <field_group id="diad_T" grid_ref="grid_T_2D">
+     <field_group id="diad_T" grid_ref="grid_T_2D" operation="instant">
        <field id="PH"          long_name="PH"                                      unit="1"          grid_ref="grid_T_3D" />
        <field id="CO3"         long_name="Bicarbonates"                            unit="mol/m3"     grid_ref="grid_T_3D" />
@@ -926,5 +926,5 @@
      </field_group>
 
-     <field_group id="PISCES_scalar"  domain_ref="1point" >
+     <field_group id="PISCES_scalar"  domain_ref="1point" operation="instant">
        <field id="pno3tot"         long_name="global mean nitrate concentration"                  unit="mol/m3"   />
        <field id="ppo4tot"         long_name="global mean phosphorus concentration"               unit="mol/m3"   />
@@ -946,5 +946,5 @@
     -->
 
-    <field_group id="mooring" >
+    <field_group id="mooring" operation="instant">
       <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"      />
       <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                   />
@@ -980,5 +980,5 @@
     </field_group>
 
-    <field_group id="groupT" >
+    <field_group id="groupT" operation="instant">
       <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"               />
       <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                            />
@@ -1003,5 +1003,5 @@
     </field_group>
     
-    <field_group id="groupU" >
+    <field_group id="groupU" operation="instant">
       <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity"      />
       <field field_ref="ssu"          name="uos"     long_name="sea_surface_x_velocity"    />
@@ -1009,5 +1009,5 @@
     </field_group>
     
-    <field_group id="groupV" >
+    <field_group id="groupV" operation="instant">
       <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity"      />
       <field field_ref="ssv"          name="vos"     long_name="sea_surface_y_velocity"    />
@@ -1015,5 +1015,5 @@
     </field_group>
     
-    <field_group id="groupW" >
+    <field_group id="groupW" operation="instant">
       <field field_ref="woce"         name="wo"       long_name="ocean vertical velocity"  />
     </field_group>
Index: branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/iodef.xml
===================================================================
--- branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/iodef.xml	(revision 6269)
+++ branches/UKMO/dev_r5518_Surge_Modelling/NEMOGCM/CONFIG/AMM7_SURGE/EXP00/iodef.xml	(revision 6270)
@@ -24,6 +24,25 @@
     
       <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
+      <file_group id="15m" output_freq="15m"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
 
-      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
+      <file_group id="1h"  output_freq="1h"   output_level="10" enabled=".TRUE."> <!-- 1h files -->
+        <file id="file4" name_suffix="_grid_T" description="ocean T grid variables" >
+          <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"            operation="instant"      />
+          <field field_ref="ssh2"         name="zossq"    long_name="square_of_sea_surface_height_above_geoid"  operation="instant"      />
+          <field field_ref="taum"         />
+        </file>
+       
+        <file id="file5" name_suffix="_grid_U" description="ocean U grid variables" >
+          <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity"      operation="instant" />
+         <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" operation="instant" />
+        </file>
+
+        <file id="file6" name_suffix="_grid_V" description="ocean V grid variables" >
+          <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity"      operation="instant" />
+          <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" operation="instant" />
+        </file>
+
+      </file_group>
+       
       <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
       <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
@@ -31,60 +50,9 @@
       <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
      
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."> <!-- 1d files -->
-
-	<file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
-	  <field field_ref="sst"          name="tos" />
-	  <field field_ref="sss"          name="sos" />
-	  <field field_ref="ssh"          name="zos" />
-	</file>
-
-	<file id="file2" name_suffix="_grid_U" description="ocean U grid variables" >
-	  <field field_ref="ssu"          name="uos" />
-	</file>
-	
-	<file id="file3" name_suffix="_grid_V" description="ocean V grid variables" >
-	  <field field_ref="ssv"          name="vos" />
-	</file>
-	
-      </file_group>
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."/> <!-- 1d files -->
 
       <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
 
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
-
-	<file id="file4" name_suffix="_grid_T" description="ocean T grid variables" >
-	  <field field_ref="toce"         name="thetao" />
-	  <field field_ref="soce"         name="so"     />
-	  <field field_ref="sst"          name="tos"    />
-	  <field field_ref="sst2"         name="tossq"  />
-	  <field field_ref="sss"          name="sos"    />
-	  <field field_ref="ssh"          name="zos"    />
-	  <field field_ref="ssh2"         name="zossq"  />
-	  <field field_ref="empmr"        name="wfo"    />
-	  <field field_ref="qsr"          name="rsntds" />
-	  <field field_ref="qt"           name="tohfls" />
-	  <field field_ref="taum"     />
-	  <field field_ref="mldkz5"   />
-	  <field field_ref="mldr10_1" />
-	</file>
-	
-	<file id="file5" name_suffix="_grid_U" description="ocean U grid variables" >
-	  <field field_ref="uoce"         name="uo"    />
-	  <field field_ref="ssu"          name="uos"   />
-	  <field field_ref="utau"         name="tauuo" />
-	</file>
-	
-	<file id="file6" name_suffix="_grid_V" description="ocean V grid variables" >
-	  <field field_ref="voce"         name="vo"    />
-	  <field field_ref="ssv"          name="vos"   />
-	  <field field_ref="vtau"         name="tauvo" />
-	</file>
-	
-	<file id="file7" name_suffix="_grid_W" description="ocean W grid variables" >
-	  <field field_ref="woce"         name="wo"     />
-	  <field field_ref="avt"          name="difvho" />
-	</file>
-	
-      </file_group>
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE."/>  <!-- 5d files -->   
 
       <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."/> <!-- real monthly files -->