Index: trunk/DOC/TexFiles/Chapters/Annex_C.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Annex_C.tex	(revision 6140)
+++ trunk/DOC/TexFiles/Chapters/Annex_C.tex	(revision 6289)
@@ -1103,5 +1103,5 @@
 The discrete formulation of the horizontal diffusion of momentum ensures the 
 conservation of potential vorticity and the horizontal divergence, and the 
-dissipation of the square of these quantities (i.e. enstrophy and the 
+dissipation of the square of these quantities ($i.e.$ enstrophy and the 
 variance of the horizontal divergence) as well as the dissipation of the 
 horizontal kinetic energy. In particular, when the eddy coefficients are 
@@ -1127,26 +1127,17 @@
 &\int \limits_D \frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
 	\Bigl[    \nabla_h  \left( A^{\,lm}\;\chi  \right)
-	          - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)    \Bigr]\;dv  = 0
-\end{flalign*}
+	        - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)    \Bigr]\;dv   \\ 
+%\end{flalign*}
 %%%%%%%%%%  recheck here....  (gm)
-\begin{flalign*}
-= \int \limits_D  -\frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
-	\Bigl[ \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)  \Bigr]\;dv &&& \\ 
-\end{flalign*}
-\begin{flalign*}
+%\begin{flalign*}
+=& \int \limits_D  -\frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
+	\Bigl[ \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)  \Bigr]\;dv  \\ 
+%\end{flalign*}
+%\begin{flalign*}
 \equiv& \sum\limits_{i,j}
 	\left\{
-	\delta_{i+1/2} 
-	\left[ 
-	\frac {e_{2v}} {e_{1v}\,e_{3v}}  \delta_i
-		\left[ A_f^{\,lm} e_{3f} \zeta  \right]
-	 \right]
- 	+ \delta_{j+1/2} 
-	\left[ 
-	\frac {e_{1u}} {e_{2u}\,e_{3u}} \delta_j 
-		\left[ A_f^{\,lm} e_{3f} \zeta  \right]
-	\right]
-	\right\} 
-	&& \\ 
+	  \delta_{i+1/2} \left[  \frac {e_{2v}} {e_{1v}\,e_{3v}}  \delta_i \left[ A_f^{\,lm} e_{3f} \zeta  \right]  \right]
+ 	+ \delta_{j+1/2} \left[  \frac {e_{1u}} {e_{2u}\,e_{3u}}  \delta_j \left[ A_f^{\,lm} e_{3f} \zeta  \right]  \right]
+	\right\} 	 \\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
@@ -1154,10 +1145,8 @@
 \equiv& \sum\limits_{i,j,k} 
 	-\,\left\{
-	   \frac{e_{2v}} {e_{1v}\,e_{3v}}  \delta_i
-		\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_i \left[ 1\right]
-	+ \frac{e_{1u}} {e_{2u}\,e_{3u}} \delta_j 
-		\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_j \left[ 1\right]
+	   \frac{e_{2v}} {e_{1v}\,e_{3v}}  \delta_i	\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_i \left[ 1\right]
+	 + \frac{e_{1u}} {e_{2u}\,e_{3u}}  \delta_j 	\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_j \left[ 1\right]
 	\right\} \quad \equiv 0 
-	&& \\ 
+	 \\ 
 \end{flalign*}
 
@@ -1167,5 +1156,4 @@
 \subsection{Dissipation of Horizontal Kinetic Energy}
 \label{Apdx_C.3.2}
-
 
 The lateral momentum diffusion term dissipates the horizontal kinetic energy:
@@ -1221,5 +1209,4 @@
 \label{Apdx_C.3.3}
 
-
 The lateral momentum diffusion term dissipates the enstrophy when the eddy 
 coefficients are horizontally uniform:
@@ -1228,7 +1215,7 @@
 	\left[   \nabla_h \left( A^{\,lm}\;\chi  \right)
 	       - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)   \right]\;dv &&&\\
-&= A^{\,lm} \int \limits_D \zeta \textbf{k} \cdot \nabla \times 
+&\quad = A^{\,lm} \int \limits_D \zeta \textbf{k} \cdot \nabla \times 
  	\left[    \nabla_h \times \left( \zeta \; \textbf{k} \right)   \right]\;dv &&&\\
-&\equiv A^{\,lm} \sum\limits_{i,j,k}  \zeta \;e_{3f} 
+&\quad \equiv A^{\,lm} \sum\limits_{i,j,k}  \zeta \;e_{3f} 
 	\left\{     \delta_{i+1/2} \left[  \frac{e_{2v}} {e_{1v}\,e_{3v}} \delta_i \left[ e_{3f} \zeta  \right]   \right]
 	          + \delta_{j+1/2} \left[  \frac{e_{1u}} {e_{2u}\,e_{3u}} \delta_j \left[ e_{3f} \zeta  \right]   \right]      \right\}   &&&\\ 
@@ -1236,8 +1223,7 @@
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
 %
-&\equiv  - A^{\,lm} \sum\limits_{i,j,k} 
+&\quad \equiv  - A^{\,lm} \sum\limits_{i,j,k} 
 	\left\{    \left(  \frac{1} {e_{1v}\,e_{3v}}  \delta_i \left[ e_{3f} \zeta  \right]  \right)^2   b_v
-	         + \left(  \frac{1} {e_{2u}\,e_{3u}}  \delta_j \left[ e_{3f} \zeta  \right] \right)^2   b_u  \right\}      &&&\\
-& \leq \;0       &&&\\ 
+	         + \left(  \frac{1} {e_{2u}\,e_{3u}}  \delta_j \left[ e_{3f} \zeta  \right] \right)^2   b_u  \right\}  \quad \leq \;0    &&&\\
 \end{flalign*}
 
@@ -1250,16 +1236,16 @@
 When the horizontal divergence of the horizontal diffusion of momentum 
 (discrete sense) is taken, the term associated with the vertical curl of the 
-vorticity is zero locally, due to (!!! II.1.8  !!!!!). The resulting term conserves the 
-$\chi$ and dissipates $\chi^2$ when the eddy coefficients are 
-horizontally uniform.
+vorticity is zero locally, due to \eqref{Eq_DOM_div_curl}. 
+The resulting term conserves the $\chi$ and dissipates $\chi^2$ 
+when the eddy coefficients are horizontally uniform.
 \begin{flalign*}
 & \int\limits_D  \nabla_h \cdot 
 	\Bigl[     \nabla_h \left( A^{\,lm}\;\chi \right)
 	          - \nabla_h \times \left( A^{\,lm}\;\zeta \;\textbf{k} \right)    \Bigr]  dv
-= \int\limits_D  \nabla_h \cdot \nabla_h \left( A^{\,lm}\;\chi  \right)   dv   &&&\\
+= \int\limits_D  \nabla_h \cdot \nabla_h \left( A^{\,lm}\;\chi  \right)   dv   \\
 %
 &\equiv \sum\limits_{i,j,k} 
 	\left\{   \delta_i \left[ A_u^{\,lm} \frac{e_{2u}\,e_{3u}} {e_{1u}}  \delta_{i+1/2} \left[ \chi \right]  \right]
-	        + \delta_j \left[ A_v^{\,lm} \frac{e_{1v}\,e_{3v}} {e_{2v}}  \delta_{j+1/2} \left[ \chi \right]  \right]    \right\}    &&&\\ 
+	        + \delta_j \left[ A_v^{\,lm} \frac{e_{1v}\,e_{3v}} {e_{2v}}  \delta_{j+1/2} \left[ \chi \right]  \right]    \right\}    \\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
@@ -1267,6 +1253,6 @@
 &\equiv \sum\limits_{i,j,k} 
 	- \left\{   \frac{e_{2u}\,e_{3u}} {e_{1u}}  A_u^{\,lm} \delta_{i+1/2} \left[ \chi \right] \delta_{i+1/2} \left[ 1 \right] 
-	          + \frac{e_{1v}\,e_{3v}}  {e_{2v}}  A_v^{\,lm} \delta_{j+1/2} \left[ \chi \right] \delta_{j+1/2} \left[ 1 \right]    \right\} 
-	\qquad \equiv 0     &&& \\ 
+	          + \frac{e_{1v}\,e_{3v}} {e_{2v}}  A_v^{\,lm} \delta_{j+1/2} \left[ \chi \right] \delta_{j+1/2} \left[ 1 \right]    \right\} 
+	\quad \equiv 0      \\ 
 \end{flalign*}
 
@@ -1281,5 +1267,5 @@
 	\left[    \nabla_h              \left( A^{\,lm}\;\chi                    \right)
 	        - \nabla_h   \times  \left( A^{\,lm}\;\zeta \;\textbf{k} \right)    \right]\;  dv
- = A^{\,lm}   \int\limits_D \chi \;\nabla_h \cdot \nabla_h \left( \chi \right)\;  dv    &&&\\ 
+ = A^{\,lm}   \int\limits_D \chi \;\nabla_h \cdot \nabla_h \left( \chi \right)\;  dv    \\ 
 %
 &\equiv A^{\,lm}  \sum\limits_{i,j,k}  \frac{1} {e_{1t}\,e_{2t}\,e_{3t}}  \chi 
@@ -1287,5 +1273,5 @@
 	   \delta_i  \left[   \frac{e_{2u}\,e_{3u}} {e_{1u}}  \delta_{i+1/2} \left[ \chi \right]   \right]
 	+ \delta_j  \left[   \frac{e_{1v}\,e_{3v}} {e_{2v}}   \delta_{j+1/2} \left[ \chi \right]   \right]
-	\right\} \;   e_{1t}\,e_{2t}\,e_{3t}    &&&\\ 
+	\right\} \;   e_{1t}\,e_{2t}\,e_{3t}    \\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it turns out to be:}
@@ -1293,7 +1279,6 @@
 &\equiv - A^{\,lm} \sum\limits_{i,j,k}
 	\left\{    \left(  \frac{1} {e_{1u}}  \delta_{i+1/2}  \left[ \chi \right]  \right)^2  b_u
-                 + \left(  \frac{1} {e_{2v}}  \delta_{j+1/2}  \left[ \chi \right]  \right)^2  b_v    \right\} \;    &&&\\
-%
-&\leq 0              &&&\\
+            + \left(  \frac{1} {e_{2v}}  \delta_{j+1/2}  \left[ \chi \right]  \right)^2  b_v    \right\}    
+\quad \leq 0             \\
 \end{flalign*}
 
@@ -1303,5 +1288,4 @@
 \section{Conservation Properties on Vertical Momentum Physics}
 \label{Apdx_C_4}
-
 
 As for the lateral momentum physics, the continuous form of the vertical diffusion 
@@ -1319,6 +1303,6 @@
 	\left(   \frac{A^{\,vm}} {e_3 }\; \frac{\partial \textbf{U}_h } {\partial k}   \right)\; dv    \quad &\leq 0     \\
 \end{align*}
+
 The first property is obvious. The second results from:
-
 \begin{flalign*}
 \int\limits_D 
@@ -1359,4 +1343,5 @@
 	e_{1f}\,e_{2f}\,e_{3f} \; \equiv 0   && \\
 \end{flalign*}
+
 If the vertical diffusion coefficient is uniform over the whole domain, the 
 enstrophy is dissipated, $i.e.$
@@ -1366,6 +1351,6 @@
 		\left( \frac{A^{\,vm}} {e_3 }\; \frac{\partial \textbf{U}_h } {\partial k}   \right)   \right)\; dv = 0   &&&\\
 \end{flalign*}
+
 This property is only satisfied in $z$-coordinates:
-
 \begin{flalign*}
 \int\limits_D \zeta \, \textbf{k} \cdot \nabla \times 
@@ -1477,10 +1462,8 @@
 
 The numerical schemes used for tracer subgridscale physics are written such 
-that the heat and salt contents are conserved (equations in flux form, second 
-order centered finite differences). Since a flux form is used to compute the 
-temperature and salinity, the quadratic form of these quantities (i.e. their variance) 
-globally tends to diminish. As for the advection term, there is generally no strict 
-conservation of mass, even if in practice the mass is conserved to a very high 
-accuracy. 
+that the heat and salt contents are conserved (equations in flux form). 
+Since a flux form is used to compute the temperature and salinity, 
+the quadratic form of these quantities ($i.e.$ their variance) globally tends to diminish. 
+As for the advection term, there is conservation of mass only if the Equation Of Seawater is linear. 
 
 % -------------------------------------------------------------------------------------------------------------