Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Biblio/Biblio.bib
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Biblio/Biblio.bib	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Biblio/Biblio.bib	(revision 6322)
@@ -472,4 +472,16 @@
 }
 
+@article{bouffard_Boegman_DAO2013,
+	author = {D. Bouffard and L. Boegman},
+	title = {A diapycnal diffusivity model for stratified environmental flows},
+	volume = {61-62},
+	issn = {03770265},
+	url = {http://dx.doi.org/10.1016/j.dynatmoce.2013.02.002},
+	doi = {10.1016/j.dynatmoce.2013.02.002},
+	journal = DAO,
+	year = {2013},
+	pages = {14--34},
+}
+
 @ARTICLE{Bougeault1989,
   author = {P. Bougeault and P. Lacarrere},
@@ -787,4 +799,16 @@
   volume = {34},
   pages = {8--13}
+}
+
+@article{de_lavergne_JPO2016_efficiency,
+	title = {The impact of a variable mixing efficiency on the abyssal overturning},
+	issn = {0022-3670},
+	url = {http://dx.doi.org//10.1175/JPO-D-14-0259.1},
+	doi = {10.1175/JPO-D-14-0259.1},
+	abstract = {In studies of ocean mixing, it is generally assumed that small-scale turbulent overturns lose 15-20 \% of their energy in eroding the background stratification. Accumulating evidence that this energy fraction, or mixing efficiency Rf, significantly varies depending on flow properties challenges this assumption, however. Here, we examine the implications of a varying mixing efficiency for ocean energetics and deep water mass transformation. Combining current parameterizations of internal wave-driven mixing with a recent model expressing Rf as a function of a turbulence intensity parameter Reb = εν/νN2, we show that accounting for reduced mixing efficiencies in regions of weak stratification or energetic turbulence (high Reb) strongly limits the ability of breaking internal waves to supply oceanic potential energy and drive abyssal upwelling. Moving from a fixed Rf = 1/6 to a variable efficiency Rf(Reb) causes Antarctic Bottom Water upwelling induced by locally-dissipating internal tides and lee waves to fall from 9 to 4 Sv, and the corresponding potential energy source to plunge from 97 to 44 GW. When adding the contribution of remotely-dissipating internal tides under idealized distributions of energy dissipation, the total rate of Antarctic Bottom Water upwelling is reduced by about a factor of 2, reaching 5-15 Sv compared to 10-33 Sv for a fixed efficiency. Our results suggest that distributed mixing, overflow-related boundary processes and geothermal heating are more effective in consuming abyssal waters than topographically-enhanced mixing by breaking internal waves. Our calculations also point to the importance of accurately constraining Rf(Reb) and including the effect in ocean models.},
+	journal = {Journal of Physical Oceanography},
+	author = {C. de Lavergne and G. Madec and J. Le Sommer and A. J. G. Nurser and A. C. Naveira Garabato },
+	year = {2016},
+	volume = {46},  pages = {663-–681}
 }
 
@@ -1160,4 +1184,18 @@
 }
 
+@article{goff_JGR2010,
+	author = {J. A. Goff},
+	title = {Global prediction of abyssal hill root-mean-square heights from small-scale altimetric gravity variability},
+	issn = {2156-2202},
+	url = {http://dx.doi.org/10.1029/2010JB007867},
+	doi = {10.1029/2010JB007867},
+	abstract = {Abyssal hills, which are pervasive landforms on the seafloor of the Earth's oceans, represent a potential tectonic record of the history of mid-ocean ridge spreading. However, the most detailed global maps of the seafloor, derived from the satellite altimetry-based gravity field, cannot be used to deterministically characterize such small-scale ({\textless}10 km) morphology. Nevertheless, the small-scale variability of the gravity field can be related to the statistical properties of abyssal hill morphology using the upward continuation formulation. In this paper, I construct a global prediction of abyssal hill root-mean-square (rms) heights from the small-scale variability of the altimetric gravity field. The abyssal hill-related component of the gravity field is derived by first masking distinct features, such as seamounts, mid-ocean ridges, and continental margins, and then applying a newly designed adaptive directional filter algorithm to remove fracture zone/discontinuity fabric. A noise field is derived empirically by correlating the rms variability of the small-scale gravity field to the altimetric noise field in regions of very low relief, and the noise variance is subtracted from the small-scale gravity variance. Suites of synthetically derived, abyssal hill formed gravity fields are generated as a function of water depth, basement rms heights, and sediment thickness and used to predict abyssal hill seafloor rms heights from corrected small-scale gravity rms height. The resulting global prediction of abyssal hill rms heights is validated qualitatively by comparing against expected variations in abyssal hill morphology and quantitatively by comparing against actual measurements of rms heights. Although there is scatter, the prediction appears unbiased.},
+	volume = {115},
+	number = {B12},
+	journal = {Journal of Geophysical Research: Solid Earth},
+	year = {2010},
+	pages = {B12104},
+}
+
 @ARTICLE{Goosse_al_JGR99,
   author = {H. Goosse and E. Deleersnijder and T. Fichefet and M. England},
@@ -1264,10 +1302,11 @@
 
 @ARTICLE{Griffies_Hallberg_MWR00,
-  author = {S.M. Griffies and R. Hallberg},
+  author = {S.M. Griffies and R.H. Hallberg},
   title = {Biharmonic friction with a Smagorinsky-like viscosity for use in large-scale eddy-permitting ocean models},
   journal = MWR,
   year = {2000},
-  volume = {128(8)},
-  pages = {2935--2946}
+  volume = {128},  
+  pages = {2935–-2946},
+ url = {http://dx.doi.org/10.1175/1520-0493(2000)128}
 }
 
@@ -1585,4 +1624,17 @@
   volume = {12},
   pages = {381--389}
+}
+
+@article{Jackson_Rehmann_JPO2014,
+	author = {P. R. Jackson and C. R. Rehmann},
+	title = {Experiments on differential scalar mixing in turbulence in a sheared, stratified flow},
+	journal = JPO,
+	volume = {44},
+	issn = {0022-3670},
+	url = {http://dx.doi.org/10.1175/JPO-D-14-0027.1},
+	doi = {10.1175/JPO-D-14-0027.1},
+	number = {10},
+	year = {2014},
+	pages = {2661--2680},
 }
 
@@ -1935,15 +1987,17 @@
   year = {2009},
   volume = {30},  number = {2-3},
-  pages = {88-94},
+  pages = {88--94},
   doi = {10.1016/j.ocemod.2009.06.006},
-  url = {http://dx.doi.org/}
-}
-
-@ARTICLE{Leclair_Madec_OM10s,
+  url = {http://dx.doi.org/10.1016/j.ocemod.2009.06.006}
+}
+
+@ARTICLE{Leclair_Madec_OM11,
   author = {M. Leclair and G. Madec},
   title = {$\tilde{z}$-coordinate, an Arbitrary Lagrangian-Eulerian coordinate separating high and low frequency},
   journal = OM,
-  year = {2010},
-  pages = {submitted},
+  year = {2011},
+  volume = {37},  pages = {139--152}, 
+  doi = {10.1016/j.ocemod.2011.02.001},
+  url = {http://dx.doi.org/10.1016/j.ocemod.2011.02.001}
 }
 
@@ -2427,4 +2481,15 @@
 }
 
+
+@ARTICLE{Morel_Berthon_LO89,
+  author = {A. Morel and J.-F. Berthon},
+  title = {Surface pigments, algal biomass profiles, and potential production of the euphotic layer: 
+           Relationships reinvestigated in view of remote-sensing applications},
+  journal = {Limnol. Oceanogr.},
+  year = {1989},
+  volume = {34(8)},
+  pages = {1545--1562}
+}
+
 @ARTICLE{Morel_Maritorena_JGR01,
   author = {A. Morel and S. Maritorena},
@@ -2475,4 +2540,5 @@
   title = {Estimates of the local rate of vertical diﬀusion from dissipation measurements},
   journal = JPO,
+  year = {1980},
   volume = {10},
   pages = {83--89}
@@ -2709,4 +2775,15 @@
   volume = {105},
   pages = {23,927--23,942}
+}
+
+@ARTICLE{Rousset_GMD2015,
+  author = {C. Rousset and M. Vancoppenolle and G. Madec and T. Fichefet and S. Flavoni 
+            and A. Barth\'{e}lemy and R. Benshila and J. Chanut and C. L\'{e}vy and S. Masson and F. Vivier },
+  title  = {The Louvain-La-Neuve sea-ice model LIM3.6: Global and regional capabilities},
+  journal= {Geoscientific Model Development},
+  year = {2015},
+  volume = {8}, pages={2991--3005},
+  doi = {10.5194/gmd-8-2991-2015},
+  url = {http://dx.doi.org/10.5194/gmd-8-2991-2015}
 }
 
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_Model_Basics.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_Model_Basics.tex	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_Model_Basics.tex	(revision 6322)
@@ -992,5 +992,5 @@
 \label{PE_zco_tilde}
 
-The $\tilde{z}$-coordinate has been developed by \citet{Leclair_Madec_OM10s}.
+The $\tilde{z}$-coordinate has been developed by \citet{Leclair_Madec_OM11}.
 It is available in \NEMO since the version 3.4. Nevertheless, it is currently not robust enough 
 to be used in all possible configurations. Its use is therefore not recommended.
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_TRA.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 6322)
@@ -749,11 +749,19 @@
 ($i.e.$ the inverses of the extinction length scales) are tabulated over 61 nonuniform 
 chlorophyll classes ranging from 0.01 to 10 g.Chl/L (see the routine \rou{trc\_oce\_rgb} 
-in \mdl{trc\_oce} module). Three types of chlorophyll can be chosen in the RGB formulation:
-(1) a constant 0.05 g.Chl/L value everywhere (\np{nn\_chdta}=0) ; (2) an observed 
-time varying chlorophyll (\np{nn\_chdta}=1) ; (3) simulated time varying chlorophyll
-by TOP biogeochemical model (\np{ln\_qsr\_bio}=true). In the latter case, the RGB 
-formulation is used to calculate both the phytoplankton light limitation in PISCES 
-or LOBSTER and the oceanic heating rate. 
-
+in \mdl{trc\_oce} module). Four types of chlorophyll can be chosen in the RGB formulation:
+\begin{description} 
+\item[\np{nn\_chdta}=0] 
+a constant 0.05 g.Chl/L value everywhere ; 
+\item[\np{nn\_chdta}=1]  
+an observed time varying chlorophyll deduced from satellite surface ocean color measurement 
+spread uniformly in the vertical direction ; 
+\item[\np{nn\_chdta}=2]  
+same as previous case except that a vertical profile of chlorophyl is used. 
+Following \cite{Morel_Berthon_LO89}, the profile is computed from the local surface chlorophyll value ;
+\item[\np{ln\_qsr\_bio}=true]  
+simulated time varying chlorophyll by TOP biogeochemical model. 
+In this case, the RGB formulation is used to calculate both the phytoplankton 
+light limitation in PISCES or LOBSTER and the oceanic heating rate. 
+\end{description} 
 The trend in \eqref{Eq_tra_qsr} associated with the penetration of the solar radiation 
 is added to the temperature trend, and the surface heat flux is modified in routine \mdl{traqsr}. 
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_ZDF.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 6322)
@@ -1313,2 +1313,58 @@
 
 % ================================================================
+% Internal wave-driven mixing
+% ================================================================
+\section{Internal wave-driven mixing (\key{zdftmx\_new})}
+\label{ZDF_tmx_new}
+
+%--------------------------------------------namzdf_tmx_new------------------------------------------
+\namdisplay{namzdf_tmx_new}
+%--------------------------------------------------------------------------------------------------------------
+
+The parameterization of mixing induced by breaking internal waves is a generalization 
+of the approach originally proposed by \citet{St_Laurent_al_GRL02}. 
+A three-dimensional field of internal wave energy dissipation $\epsilon(x,y,z)$ is first constructed, 
+and the resulting diffusivity is obtained as 
+\begin{equation} \label{Eq_Kwave}
+A^{vT}_{wave} =  R_f \,\frac{ \epsilon }{ \rho \, N^2 }
+\end{equation}
+where $R_f$ is the mixing efficiency and $\epsilon$ is a specified three dimensional distribution 
+of the energy available for mixing. If the \np{ln\_mevar} namelist parameter is set to false, 
+the mixing efficiency is taken as constant and equal to 1/6 \citep{Osborn_JPO80}. 
+In the opposite (recommended) case, $R_f$ is instead a function of the turbulence intensity parameter 
+$Re_b = \frac{ \epsilon}{\nu \, N^2}$, with $\nu$ the molecular viscosity of seawater, 
+following the model of \cite{Bouffard_Boegman_DAO2013} 
+and the implementation of \cite{de_lavergne_JPO2016_efficiency}.
+Note that $A^{vT}_{wave}$ is bounded by $10^{-2}\,m^2/s$, a limit that is often reached when the mixing efficiency is constant.
+
+In addition to the mixing efficiency, the ratio of salt to heat diffusivities can chosen to vary 
+as a function of $Re_b$ by setting the \np{ln\_tsdiff} parameter to true, a recommended choice). 
+This parameterization of differential mixing, due to \cite{Jackson_Rehmann_JPO2014}, 
+is implemented as in \cite{de_lavergne_JPO2016_efficiency}.
+
+The three-dimensional distribution of the energy available for mixing, $\epsilon(i,j,k)$, is constructed 
+from three static maps of column-integrated internal wave energy dissipation, $E_{cri}(i,j)$, 
+$E_{pyc}(i,j)$, and $E_{bot}(i,j)$, combined to three corresponding vertical structures 
+(de Lavergne et al., in prep):
+\begin{align*}
+F_{cri}(i,j,k) &\propto e^{-h_{ab} / h_{cri} }\\
+F_{pyc}(i,j,k) &\propto N^{n\_p}\\
+F_{bot}(i,j,k) &\propto N^2 \, e^{- h_{wkb} / h_{bot} }
+\end{align*} 
+In the above formula, $h_{ab}$ denotes the height above bottom, 
+$h_{wkb}$ denotes the WKB-stretched height above bottom, defined by
+\begin{equation*}
+h_{wkb} = H \, \frac{ \int_{-H}^{z} N \, dz' } { \int_{-H}^{\eta} N \, dz'  } \; ,
+\end{equation*}
+The $n_p$ parameter (given by \np{nn\_zpyc} in \ngn{namzdf\_tmx\_new} namelist)  controls the stratification-dependence of the pycnocline-intensified dissipation. 
+It can take values of 1 (recommended) or 2.
+Finally, the vertical structures $F_{cri}$ and $F_{bot}$ require the specification of 
+the decay scales $h_{cri}(i,j)$ and $h_{bot}(i,j)$, which are defined by two additional input maps. 
+$h_{cri}$ is related to the large-scale topography of the ocean (etopo2) 
+and $h_{bot}$ is a function of the energy flux $E_{bot}$, the characteristic horizontal scale of 
+the abyssal hill topography \citep{Goff_JGR2010} and the latitude.
+
+% ================================================================
+
+
+
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Introduction.tex
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Introduction.tex	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Chapters/Introduction.tex	(revision 6322)
@@ -228,5 +228,5 @@
 \item a deep re-writting and simplification of the off-line tracer component (OFF\_SRC) ; 
 \item the merge of passive and active advection and diffusion modules ;
-\item  Use of the Flexible Configuration Manager (FCM) to build configurations, generate the Makefile and produce the executable ;
+\item Use of the Flexible Configuration Manager (FCM) to build configurations, generate the Makefile and produce the executable ;
 \item Linear-tangent and Adjoint component (TAM) added, phased with v3.0
 \end{enumerate}
@@ -253,6 +253,39 @@
 $\bullet$ The main modifications from NEMO/OPA v3.4 and  v3.6 are :\\
 \begin{enumerate}
-\item ... ; 
-\end{enumerate}
-
-
+\item I/O management: NEMO in now interfaced with XIOS, a Input/Output server having a versatile xml user interface, and 
+allowing I/O to be performed on dedicated processors thus improving scalability and performance on massively parallel platforms. 
+\item ICB module \citep{Marsh_GMD2015}: icebergs as lagrangian floats ; 
+\item SAS: Stand Alone Surface module allowing testing of forcing set with bulk formulae, to run sea-ice models without ocean, to run ICB icebergs module alone, and to test AGRIF with sea-ice
+\item ISF : Under ice-selves cavities (parametrisation and/or explicit representation)
+\item Coupled interface for next IPCC requirements (multi category sea-ice, calving and iceberg module)
+\item Ocean and ice allowed to be explicitly coupled through OASIS, using StandAlone Surface module)
+\item On line coarsening of ocean I/O
+\item Major evolution of LIM3 sea-ice model \citep{Rousset_GMD2015}
+\item Open boundaries: completion of BDY/OBC merge : BDY is now the only Open boundary module available
+\item re-visit of the specification of heat/salt(tracers)/mass fluxes ;
+\item levitating or fully embedded sea-ice (for LIM and CICE) ;
+\item a new parameterization of mixing induced by breaking internal waves (de Lavergne et al. in prep.)
+And also:
+\item update of AGRIF package and AGRIF compatibility with LIM2 sea-ice model ;
+\item A new vertical sigma coordinate stretching function \citep{Siddorn_Furner_OM12} ;
+\item Smagorinsky eddy coefficients: the \cite{Griffies_Hallberg_MWR00} Smagorinsky type diffusivity/viscosity for lateral mixing has been introduced ;
+\item Standard Fox Kemper parametrisation
+\item Analytical tropical cyclones taken in account using track and magnitude observations (Vincent et al. JGR 2012a,b) ;
+\item OBS: observation operators improved and now available in Standalone mode ;
+\item Log layer option for bottom friction
+\item Faster split-explicit time stepping ; 
+\item Z-tilde ALE coordinates \citep{Leclair_Madec_OM11} ; 
+\item implicit bottom friction ;
+\item Runoff improved and SBC with BGC
+\item MPP assessment and optimisation
+\item First steps of wave coupling
+
+Features becoming obsolete: LIM2 (replaced by LIM3 monocategory) ; IOIPSL (replaced by XIOS) ; 
+
+Features that has been removed : LOBSTER (now included in PISCES) ; OBC, replaced by BDY ;   
+
+
+
+\end{enumerate}
+
+
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namsbc_alb	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namsbc_alb	(revision 6322)
@@ -2,8 +2,10 @@
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
-   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo
-   rn_albice   =    0.53   !  albedo of melting ice in the arctic and antarctic
-   rn_alphd    =    0.80   !  coefficients for linear interpolation used to
-   rn_alphc    =    0.65   !  compute albedo between two extremes values
-   rn_alphdi   =    0.72   !  (Pyane, 1972)
+   nn_ice_alb  =    0   !  parameterization of ice/snow albedo
+                        !     0: Shine & Henderson-Sellers (JGR 1985)
+                        !     1: "home made" based on Brandt et al. (J. Climate 2005)
+                        !                         and Grenfell & Perovich (JGR 2004)
+   rn_albice   =  0.53  !  albedo of bare puddled ice (values from 0.49 to 0.58)
+                        !     0.53 (default) => if nn_ice_alb=0
+                        !     0.50 (default) => if nn_ice_alb=1
 /
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtra_qsr
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtra_qsr	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtra_qsr	(revision 6322)
@@ -11,5 +11,5 @@
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1    !  RGB : 2D Chl data (=1), 3D Chl data (=2) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
Index: /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtrd
===================================================================
--- /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtrd	(revision 6321)
+++ /branches/2015/nemo_v3_6_STABLE/DOC/TexFiles/Namelist/namtrd	(revision 6322)