Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modarrays.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbc.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbcfunction.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcluster.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcurgridfunctions.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinitvars.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterp.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterpbasic.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmask.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmpp.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modsauv.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdate.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdatebasic.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 6358)
+++ branches/UKMO/dev_r5518_coupling_GSI7_GSI8_landice_bc/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 6359)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modutil.F 6358 2016-03-07 11:34:27Z dancopsey $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)